Problem mit dem SQL-Server CE Sp1

23/08/2008 - 15:13 von Ingo Manthey | Report spam
Hallo NG,

ich habe auf meinem Rechner das SP1 von VS 2008 installiert und dabei auch
den SQL-Server CE SP1.
Leider hat dieser einen grossen BUG und ich kann Ihn nicht für meine
Programm nutzen.
https://connect.microsoft.com/SQLSe...ackID62812

Nun habe ich den alten wieder installiert und meine Programme arbeiten
wieder so wie sie es sollen. Leider kann ich nun die Datenbank nicht mehr
mit dem VS 2008 bearbeiten um z.B. ein Schema zu àndern. Kennt jemanden
einen Weg bzw. ein Download damit ich VS 2008 SP1 mit dem SQL-Server CE 3.5
nutzen kann.

Danke in voraus.

Grüße Ingo
 

Lesen sie die antworten

#1 Elmar Boye
25/08/2008 - 10:13 | Warnen spam
Hallo Ingo,

Ingo Manthey schrieb:
ich habe auf meinem Rechner das SP1 von VS 2008 installiert und dabei
auch den SQL-Server CE SP1.
Leider hat dieser einen grossen BUG und ich kann Ihn nicht für meine
Programm nutzen.
https://connect.microsoft.com/SQLSe...ackID62812




Den Fehler kann ich insoweit reproduzieren.
Er tritt aber nur auf den man den SqlDbType nicht explizit festlegt.
Also den Parameter so wie im Beispiel erzeugt oder AddWithValue verwendet.

Nun habe ich den alten wieder installiert und meine Programme arbeiten
wieder so wie sie es sollen. Leider kann ich nun die Datenbank nicht
mehr mit dem VS 2008 bearbeiten um z.B. ein Schema zu àndern. Kennt
jemanden einen Weg bzw. ein Download damit ich VS 2008 SP1 mit dem
SQL-Server CE 3.5 nutzen kann.



Machbar sollte das Vorgehen sein, das Devesh Anand beschreibt:
<URL:http://forums.microsoft.com/msdn/Sh...geid=0>

Damit ist Compact dann auf dem 3.5 Stand ohne SP1

Gruß Elmar

Ähnliche fragen